Permalink
Browse files

init db

  • Loading branch information...
1 parent e85ca96 commit 62de008db32155ed6e24b8761653fd640c38bd8f @munya committed Jan 22, 2013
Showing with 1,540 additions and 0 deletions.
  1. +39 −0 Gemfile
  2. +114 −0 Gemfile.lock
  3. +261 −0 README.rdoc
  4. +7 −0 Rakefile
  5. BIN app/assets/images/rails.png
  6. +15 −0 app/assets/javascripts/application.js
  7. +13 −0 app/assets/stylesheets/application.css
  8. +3 −0 app/controllers/application_controller.rb
  9. +2 −0 app/helpers/application_helper.rb
  10. 0 app/mailers/.gitkeep
  11. 0 app/models/.gitkeep
  12. +24 −0 app/models/cell.rb
  13. +3 −0 app/models/classroom.rb
  14. +4 −0 app/models/group.rb
  15. +13 −0 app/models/group_reader_subject.rb
  16. +3 −0 app/models/lesson.rb
  17. +4 −0 app/models/reader.rb
  18. +4 −0 app/models/subject.rb
  19. +14 −0 app/views/layouts/application.html.erb
  20. +4 −0 config.ru
  21. +62 −0 config/application.rb
  22. +6 −0 config/boot.rb
  23. +25 −0 config/database.yml
  24. +5 −0 config/environment.rb
  25. +37 −0 config/environments/development.rb
  26. +67 −0 config/environments/production.rb
  27. +37 −0 config/environments/test.rb
  28. +7 −0 config/initializers/backtrace_silencers.rb
  29. +15 −0 config/initializers/inflections.rb
  30. +5 −0 config/initializers/mime_types.rb
  31. +7 −0 config/initializers/secret_token.rb
  32. +8 −0 config/initializers/session_store.rb
  33. +14 −0 config/initializers/wrap_parameters.rb
  34. +5 −0 config/locales/en.yml
  35. +58 −0 config/routes.rb
  36. +10 −0 db/migrate/20130107102255_create_readers.rb
  37. +9 −0 db/migrate/20130107102610_create_subjects.rb
  38. +11 −0 db/migrate/20130107102901_create_lessons.rb
  39. +9 −0 db/migrate/20130107110936_create_groups.rb
  40. +10 −0 db/migrate/20130107114627_create_classrooms.rb
  41. +14 −0 db/migrate/20130112134917_create_group_reader_subjects.rb
  42. +14 −0 db/migrate/20130115170017_create_cells.rb
  43. +75 −0 db/schema.rb
  44. +33 −0 db/seeds.rb
  45. +2 −0 doc/README_FOR_APP
  46. 0 lib/assets/.gitkeep
  47. 0 lib/tasks/.gitkeep
  48. +26 −0 public/404.html
  49. +26 −0 public/422.html
  50. +25 −0 public/500.html
  51. 0 public/favicon.ico
  52. +241 −0 public/index.html
  53. +5 −0 public/robots.txt
  54. +6 −0 script/rails
  55. 0 test/fixtures/.gitkeep
  56. +11 −0 test/fixtures/cells.yml
  57. +9 −0 test/fixtures/classrooms.yml
  58. +11 −0 test/fixtures/group_reader_subjects.yml
  59. +7 −0 test/fixtures/groups.yml
  60. +11 −0 test/fixtures/lessons.yml
  61. +9 −0 test/fixtures/readers.yml
  62. +7 −0 test/fixtures/subjects.yml
  63. 0 test/functional/.gitkeep
  64. 0 test/integration/.gitkeep
  65. +12 −0 test/performance/browsing_test.rb
  66. +13 −0 test/test_helper.rb
  67. 0 test/unit/.gitkeep
  68. +7 −0 test/unit/cell_test.rb
  69. +7 −0 test/unit/classroom_test.rb
  70. +7 −0 test/unit/group_reader_subject_test.rb
  71. +7 −0 test/unit/group_test.rb
  72. +7 −0 test/unit/lesson_test.rb
  73. +7 −0 test/unit/reader_test.rb
  74. +7 −0 test/unit/subject_test.rb
  75. 0 vendor/assets/javascripts/.gitkeep
  76. 0 vendor/assets/stylesheets/.gitkeep
  77. 0 vendor/plugins/.gitkeep
View
@@ -0,0 +1,39 @@
+source 'https://rubygems.org'
+
+gem 'rails', '3.2.8'
+
+# Bundle edge Rails instead:
+# gem 'rails', :git => 'git://github.com/rails/rails.git'
+
+gem 'sqlite3'
+
+
+# Gems used only for assets and not required
+# in production environments by default.
+group :assets do
+ gem 'sass-rails', '~> 3.2.3'
+ gem 'coffee-rails', '~> 3.2.1'
+
+ # See https://github.com/sstephenson/execjs#readme for more supported runtimes
+ # gem 'therubyracer', :platforms => :ruby
+
+ gem 'uglifier', '>= 1.0.3'
+end
+
+gem 'jquery-rails'
+gem 'faker'
+
+# To use ActiveModel has_secure_password
+# gem 'bcrypt-ruby', '~> 3.0.0'
+
+# To use Jbuilder templates for JSON
+# gem 'jbuilder'
+
+# Use unicorn as the app server
+# gem 'unicorn'
+
+# Deploy with Capistrano
+# gem 'capistrano'
+
+# To use debugger
+# gem 'debugger'
View
@@ -0,0 +1,114 @@
+GEM
+ remote: https://rubygems.org/
+ specs:
+ actionmailer (3.2.8)
+ actionpack (= 3.2.8)
+ mail (~> 2.4.4)
+ actionpack (3.2.8)
+ activemodel (= 3.2.8)
+ activesupport (= 3.2.8)
+ builder (~> 3.0.0)
+ erubis (~> 2.7.0)
+ journey (~> 1.0.4)
+ rack (~> 1.4.0)
+ rack-cache (~> 1.2)
+ rack-test (~> 0.6.1)
+ sprockets (~> 2.1.3)
+ activemodel (3.2.8)
+ activesupport (= 3.2.8)
+ builder (~> 3.0.0)
+ activerecord (3.2.8)
+ activemodel (= 3.2.8)
+ activesupport (= 3.2.8)
+ arel (~> 3.0.2)
+ tzinfo (~> 0.3.29)
+ activeresource (3.2.8)
+ activemodel (= 3.2.8)
+ activesupport (= 3.2.8)
+ activesupport (3.2.8)
+ i18n (~> 0.6)
+ multi_json (~> 1.0)
+ arel (3.0.2)
+ builder (3.0.4)
+ coffee-rails (3.2.2)
+ coffee-script (>= 2.2.0)
+ railties (~> 3.2.0)
+ coffee-script (2.2.0)
+ coffee-script-source
+ execjs
+ coffee-script-source (1.4.0)
+ erubis (2.7.0)
+ execjs (1.4.0)
+ multi_json (~> 1.0)
+ faker (1.0.1)
+ i18n (~> 0.4)
+ hike (1.2.1)
+ i18n (0.6.1)
+ journey (1.0.4)
+ jquery-rails (2.1.4)
+ railties (>= 3.0, < 5.0)
+ thor (>= 0.14, < 2.0)
+ json (1.7.6)
+ mail (2.4.4)
+ i18n (>= 0.4.0)
+ mime-types (~> 1.16)
+ treetop (~> 1.4.8)
+ mime-types (1.19)
+ multi_json (1.5.0)
+ polyglot (0.3.3)
+ rack (1.4.2)
+ rack-cache (1.2)
+ rack (>= 0.4)
+ rack-ssl (1.3.2)
+ rack
+ rack-test (0.6.2)
+ rack (>= 1.0)
+ rails (3.2.8)
+ actionmailer (= 3.2.8)
+ actionpack (= 3.2.8)
+ activerecord (= 3.2.8)
+ activeresource (= 3.2.8)
+ activesupport (= 3.2.8)
+ bundler (~> 1.0)
+ railties (= 3.2.8)
+ railties (3.2.8)
+ actionpack (= 3.2.8)
+ activesupport (= 3.2.8)
+ rack-ssl (~> 1.3.2)
+ rake (>= 0.8.7)
+ rdoc (~> 3.4)
+ thor (>= 0.14.6, < 2.0)
+ rake (10.0.3)
+ rdoc (3.12)
+ json (~> 1.4)
+ sass (3.2.5)
+ sass-rails (3.2.5)
+ railties (~> 3.2.0)
+ sass (>= 3.1.10)
+ tilt (~> 1.3)
+ sprockets (2.1.3)
+ hike (~> 1.2)
+ rack (~> 1.0)
+ tilt (~> 1.1, != 1.3.0)
+ sqlite3 (1.3.6)
+ thor (0.16.0)
+ tilt (1.3.3)
+ treetop (1.4.12)
+ polyglot
+ polyglot (>= 0.3.1)
+ tzinfo (0.3.35)
+ uglifier (1.3.0)
+ execjs (>= 0.3.0)
+ multi_json (~> 1.0, >= 1.0.2)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ coffee-rails (~> 3.2.1)
+ faker
+ jquery-rails
+ rails (= 3.2.8)
+ sass-rails (~> 3.2.3)
+ sqlite3
+ uglifier (>= 1.0.3)
Oops, something went wrong. Retry.

0 comments on commit 62de008

Please sign in to comment.